<!DOCTYPE html>
<html lang="zh-Hant-TW">
<head>
    <meta charset="UTF-8">
    <title>傳統表單 | reCAPTCHA 範例 - 傳送</title>

    <!-- Google reCAPTCHA icon -->
    <link rel="shortcut icon" href="//www.gstatic.com/recaptcha/admin/favicon.ico" type="image/x-icon"/>
</head>
<body>
    
    <h1>reCAPTCHA 範例 - 傳送</h1>

    <?php
    // 註冊或查詢你的 API Keys: https://www.google.com/recaptcha/admin
    $siteKey = '你的 Site key';

    // 所有支援的語系: https://developers.google.com/recaptcha/docs/language
    $lang = 'zh-TW';

    // 如果未填入 API Key
    if ($siteKey === '') {
        echo '
    <h2>新增 API key</h2>
    <p>如果沒有的話可以去這申請 <a href="https://www.google.com/recaptcha/admin">Google reCAPTCHA</a>。</p>';
    } else {
        echo '
    <p>點擊「我不是機器人」後，送出表單‧</p>

    <form action="captcha.php" method="post">
        <fieldset>
            <legend>一個範例</legend>

            <label>
                範例 input A: <input type="text" name="ex-a" value="foo">
            </label>
            <br /><br />

            <label>
                範例 input B: <input type="text" name="ex-b" value="bar">
            </label>
            <br /><br />

            <div class="g-recaptcha" data-sitekey="' . $siteKey . '"></div>
            <script type="text/javascript" src="https://www.google.com/recaptcha/api.js?hl=' . $lang . '"></script>
            <br />

            <input type="submit" value="送出" />
        </fieldset>
    </form>';
    }
    ?>

</body>
</html>